<?php
/*
Plugin Name: Add Comment Paging Noindex Meta
Plugin URI: http://blog.kaizeku.com/wordpress/prevent-wordpress-27-duplicate-content/
Description: Comment Paging Noindex Meta 
Version: 1.0
Author URI: http://blog.kaizeku.com/
*/

/**
 * void wpi_comment_paging_noindex_meta()
 * Add meta noindex rules on Singular comment page section
 *
 * @author	Avice D <ck+filter@kaizeku.com>
 * @license	http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 * @link 	http://blog.kaizeku.com/wordpress/prevent-wordpress-27-duplicate-content/
 *
 * @todo	Check for duplicate meta-robots tag generated by
 *		meta-tag type plugins (SEO plugins)
 *
 * @uses	$wp_query	Wp_query object
 * @return 	string 		Output HTML meta noindex
 */
function wpi_comment_paging_noindex_meta()
{	global $wp_query;

	if (version_compare( (float) get_bloginfo('version'), 2.7, '>=') ){

		if ($wp_query->is_singular && get_option('page_comments')){ // comments paging enabled
			if (isset($wp_query->query['cpage'])
				&& absint($wp_query->query['cpage']) >= 1 ){

				echo '<meta name="robots" content="noindex" />'.PHP_EOL;
			}
		}
	}
}

add_action('wp_head','wpi_comment_paging_noindex_meta');
?>
